//
//  ProjectGlobals.m
//
//  Created by CA Technologies
//  Copyright (c) 2012 CA Technologies. All rights reserved.
//


#import "ProjectGlobals.h"

@implementation ProjectGlobals

// Put your @synthesize definitions here...
@synthesize gLoginID;       // User's login name
@synthesize gLogin;         // Logon page
@synthesize gLogout;        // Logout Page
@synthesize gServer;        // User's Server name
@synthesize gSession;       // User's Session name
@synthesize gBizPage;        // show bizdev page

+ (ProjectGlobals *)sharedInstance
{
    // the instance of this class is stored here
    static ProjectGlobals *myInstance = nil;
    
    // check to see if an instance already exists
    if (nil == myInstance) {
        myInstance  = [[[self class] alloc] init];
        // initialize variables here
    }
    // return the instance of this class
    return myInstance;
}

- (NSString *)gLoginID {
    return [[NSUserDefaults standardUserDefaults] objectForKey:@"gLoginID"];
}
- (void)setGLoginID:(NSString *)value {
    [[NSUserDefaults standardUserDefaults] setObject:value forKey:@"gLoginID"];
    [[NSUserDefaults standardUserDefaults] synchronize];
}

- (NSString *)gLogin {
    return [[NSUserDefaults standardUserDefaults] objectForKey:@"gLogin"];
}
- (void)setGLogin:(NSString *)value {
    [[NSUserDefaults standardUserDefaults] setObject:value forKey:@"gLogin"];
    [[NSUserDefaults standardUserDefaults] synchronize];
}

- (NSString *)gLogout {
    return [[NSUserDefaults standardUserDefaults] objectForKey:@"gLogout"];
}
- (void)setGLogout:(NSString *)value {
    [[NSUserDefaults standardUserDefaults] setObject:value forKey:@"gLogout"];
    [[NSUserDefaults standardUserDefaults] synchronize];
}

- (NSString *)gServer {
    return [[NSUserDefaults standardUserDefaults] objectForKey:@"gServer"];
}
- (void)setGServer:(NSString *)value {
    [[NSUserDefaults standardUserDefaults] setObject:value forKey:@"gServer"];
    [[NSUserDefaults standardUserDefaults] synchronize];
}

- (NSString *)gSession {
    return [[NSUserDefaults standardUserDefaults] objectForKey:@"gSession"];
}
- (void)setGSession:(NSString *)value {
    [[NSUserDefaults standardUserDefaults] setObject:value forKey:@"gSession"];
    [[NSUserDefaults standardUserDefaults] synchronize];
}

- (Boolean)gBizPage {
    return [[NSUserDefaults standardUserDefaults] boolForKey:@"gBizPage"];
}
- (void)setGBizPage:(Boolean)value {
    [[NSUserDefaults standardUserDefaults] setBool:value forKey:@"gBizPage"];
    [[NSUserDefaults standardUserDefaults] synchronize];
}

- (NSString *)gTarget {
    return [[NSUserDefaults standardUserDefaults] objectForKey:@"gTarget"];
}
- (void)setGTarget:(NSString *)value {
    [[NSUserDefaults standardUserDefaults] setObject:value forKey:@"gTarget"];
    [[NSUserDefaults standardUserDefaults] synchronize];
}

@end
